% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/ar.R
\name{AR}
\alias{AR}
\title{Abdi-Ranaldo Estimator}
\usage{
AR(x, width = nrow(x), method = "AR", na.rm = FALSE, trim = 0)
}
\arguments{
\item{x}{\code{xts} object with columns named \code{High}, \code{Low}, \code{Close}, representing HLC prices.}

\item{width}{integer width of the rolling window to use, or vector of endpoints defining the intervals to use.}

\item{method}{one of \code{"AR"}, \code{"AR2"}.}

\item{na.rm}{a \code{logical} value indicating whether \code{NA} values should be stripped before the computation proceeds.}

\item{trim}{the fraction (0 to 0.5) of observations to be trimmed from each end before the spread is computed. Values of trim outside that range are taken as the nearest endpoint.}
}
\value{
Time series of spread estimates.
}
\description{
Abdi-Ranaldo Estimator
}
\references{
Abdi, F., & Ranaldo, A. (2017). A simple estimation of bid-ask spreads from daily close, high, and low prices. The Review of Financial Studies, 30 (12), 4437-4480.
\doi{10.1093/rfs/hhx084}
}
\keyword{internal}
